Detach Certificate from Domain
This API is used to detach a certificate from a domain.
Request
Request-Line
DELETE /cdn/v1.0/services/{serviceId}/certificates HTTP/1.1
Request Parameters
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| serviceId | Integer | Mandatory | The unique identifier of the service. |
Body Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| domainName | String | Mandatory | The domain name to detach the certificate for. |
Response
Status Codes, Error Codes and Error Messages
| Status Code | Error Code | Error Message |
|---|---|---|
| 400 | Request.BadRequest | Bad request. |
| 400 | InvalidCustomer.IdEmpty | Customer ID is empty or invalid. |
| 400 | InvalidService.IdIncorrect | Service ID is empty or invalid. |
| 400 | InvalidService.IdPermission | Service ID cannot be found or unknown. |
| 400 | InvalidCertificate.Id | The Certificate ID is empty or invalid. |
| 400 | InvalidCertificate.DomainNameEmpty | Domain name cannot be empty. |
Examples
Revoke Certificate from Service
Request
DELETE /cdn/v1.0/services/228771/certificates HTTP/1.1
{
"domainName":"luna2.FlashCone.com"
}
Successful Response Body
HTTP/1.1 200